# wxColourPickerEvent Class Reference
[Events]

`#include </home/work/projects/wx/2.9/wx/interface/wx/clrpicker.h>`

Inheritance diagram for wxColourPickerEvent:
[legend]

## Detailed Description

This event class is used for the events generated by wxColourPickerCtrl.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxColourPickerEvent& event)

Event macros:

- EVT_COLOURPICKER_CHANGED(id, func):
  Generated whenever the selected colour changes.

##

Library: wxCore
Category: Events

See also:
  wxColourPickerCtrl

## Public Member Functions

| wxColourPickerEvent (wxObject *generator, int id, const wxColour &colour)
| The constructor is not normally used by the user code.
wxColour | GetColour () const
| Retrieve the colour the user has just selected.
void | SetColour (const wxColour &pos)
| Set the colour associated with the event.

List of all members.

## Constructor & Destructor Documentation

wxColourPickerEvent::wxColourPickerEvent | ( | wxObject * | generator,
|  | int | id,
|  | const wxColour & | colour |
| ) |  |  |

The constructor is not normally used by the user code.

## Member Function Documentation

wxColour wxColourPickerEvent::GetColour | ( |  | ) | const

Retrieve the colour the user has just selected.

void wxColourPickerEvent::SetColour | ( | const wxColour & | pos | ) |

Set the colour associated with the event.

|  | [ top ]